Bug 210415 - multipathd doesn't correctly monitor gnbd devices
multipathd doesn't correctly monitor gnbd devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnbd (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-11 17:54 EDT by Ben Marzinski
Modified: 2009-04-16 18:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 16:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Marzinski 2006-10-11 17:54:22 EDT
Description of problem:
gnbd and device-mapper-multipath do not work well together. GNBD devices that
should not be monitored are being monitored by multipathd, and some gnbd devices
that should be monitored are not.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.modprobe gnbd
2.service multipathd start
3.gnbd_import -i <gnbd_server>
4.gnbd_import -R
  
Actual results:
all 128 gnbd devices are monitored, even though none are used. When gnbd device
is unimported, it is still monitored

Expected results:
only used gnbd devices are monitored. When then are unimported, they stop being
monitored

Additional info:
There are small fixes necessary for both gnbd and device-mapper-multipath. I
already have the code done and tested.
Comment 1 Kiersten (Kerri) Anderson 2006-10-11 18:09:52 EDT
Devel ACK for beta2 - regression from rhel4.
Comment 2 RHEL Product and Program Management 2006-10-11 18:17:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 3 Ben Marzinski 2006-10-16 16:14:35 EDT
This is fixed. multipathd now only monitors the correct devices, and gnbd
correctly informs it when to update

Note You need to log in before you can comment on or make changes to this bug.